Bug 89607 - cannot compile from kernel-source-2.4.20-9
cannot compile from kernel-source-2.4.20-9
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-24 18:07 EDT by Ronny Bremer
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 08:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronny Bremer 2003-04-24 18:07:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
installed RH 9
full up2date

tried the following:
cd /usr/src/linux-2.4
cp configs/kernel-2.4.20-athlon.config .config
make oldconfig
make dep
make bzImage

works fine up to this point

then tried:
make modules

failes at the first module with:
[root@fghamw03 linux]# make modules
make -r -f tmp_include_depends all
make[1]: Entering directory `/usr/src/linux-2.4.20-9'
make[1]: Circular /usr/src/linux-2.4.20-9/include/asm/smplock.h <-
/usr/src/linux-2.4.20-9/include/linux/interrupt.h dependency dropped.
make[1]: Circular
/usr/src/linux-2.4.20-9/include/linux/netfilter_ipv4/ip_conntrack.h <-
/usr/src/linux-2.4.20-9/include/linux/netfilter_ipv4/ip_conntrack_helper.h
dependency dropped.
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/usr/src/linux-2.4.20-9'
make -C  kernel CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4.20-9/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-falign-functions=4  -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.20-9/include/linux/modversions.h" MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.20-9/kernel'
make[1]: Nothing to be done for `modules'.
make[1]: Leaving directory `/usr/src/linux-2.4.20-9/kernel'
make -C  drivers CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4.20-9/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-falign-functions=4  -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.20-9/include/linux/modversions.h" MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.20-9/drivers'
make -C addon modules
make[2]: Entering directory `/usr/src/linux-2.4.20-9/drivers/addon'
make -C aep modules
make[3]: Entering directory `/usr/src/linux-2.4.20-9/drivers/addon/aep'
make[3]: Nothing to be done for `modules'.
make[3]: Leaving directory `/usr/src/linux-2.4.20-9/drivers/addon/aep'
make -C cipe modules
make[3]: Entering directory `/usr/src/linux-2.4.20-9/drivers/addon/cipe'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.20-9/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe
-mpreferred-stack-boundary=2 -march=i686 -falign-functions=4  -DMODULE
-DMODVERSIONS -include /usr/src/linux-2.4.20-9/include/linux/modversions.h 
-nostdinc -iwithprefix include -DKBUILD_BASENAME=module  -c -o module.o module.c
In file included from /usr/src/linux-2.4.20-9/include/linux/if.h:23,
                 from cipe.h:21,
                 from module.c:15:
/usr/src/linux-2.4.20-9/include/linux/socket.h:249: invalid suffix on integer
constant
/usr/src/linux-2.4.20-9/include/linux/socket.h:249: parse error before numeric
constant
/usr/src/linux-2.4.20-9/include/linux/socket.h:249: `memcpy_fromiovec_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-9/include/linux/socket.h:249: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-9/include/linux/socket.h:258: invalid suffix on integer
constant
/usr/src/linux-2.4.20-9/include/linux/socket.h:258: parse error before numeric
constant
/usr/src/linux-2.4.20-9/include/linux/socket.h:258: `memcpy_toiovec_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-9/include/linux/socket.h:258: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-9/include/linux/socket.h:259:
`memcpy_tokerneliovec_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-9/include/linux/socket.h:259: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-9/include/linux/socket.h:260: invalid suffix on integer
constant
/usr/src/linux-2.4.20-9/include/linux/socket.h:260: parse error before numeric
constant
[ .... error messages cut here .... ]



Version-Release number of selected component (if applicable):
kernel-source-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. as mentioned above
2.
3.
    

Additional info:
Comment 1 Arjan van de Ven 2003-04-25 04:43:58 EDT
you should do a make mrproper before copying the configfiles. Unfortionatly the
kernel makefile dependencies are not 100% watertight ;(
Comment 2 Ronny Bremer 2003-04-25 07:04:39 EDT
make mrproper
then make dep
gives the following errors:[root@fghamw03 linux]# make dep
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o scripts/mkdep
scripts/mkdep.c
make[1]: Entering directory `/usr/src/linux-2.4.20-9/arch/i386/boot'
make[1]: Nothing to be done for `dep'.
make[1]: Leaving directory `/usr/src/linux-2.4.20-9/arch/i386/boot'
scripts/mkdep -- init/*.c > .depend
scripts/mkdep -- `find /usr/src/linux-2.4.20-9/include/asm
/usr/src/linux-2.4.20-9/include/linux /usr/src/linux-2.4.20-9/include/scsi
/usr/src/linux-2.4.20-9/include/net /usr/src/linux-2.4.20-9/include/math-emu \(
-name SCCS -o -name .svn \) -prune -o -follow -name \*.h ! -name modversions.h
-print` > .hdepend
find: /usr/src/linux-2.4.20-9/include/asm: No such file or directory
make _sfdep_kernel _sfdep_drivers _sfdep_mm _sfdep_fs _sfdep_net _sfdep_ipc
_sfdep_lib _sfdep_crypto _sfdep_arch/i386/kernel _sfdep_arch/i386/mm
_sfdep_arch/i386/lib _sfdep_arch/i386/oprofile _FASTDEP_ALL_SUB_DIRS="kernel
drivers mm fs net ipc lib crypto arch/i386/kernel arch/i386/mm arch/i386/lib
arch/i386/oprofile"
make[1]: Entering directory `/usr/src/linux-2.4.20-9'
make -C kernel fastdep
make[2]: Entering directory `/usr/src/linux-2.4.20-9/kernel'
make[2]: *** No rule to make target
`/usr/src/linux-2.4.20-9/include/linux/autoconf.h', needed by
`/usr/src/linux-2.4.20-9/include/linux/modules/signal.ver'.  Stop.
make[2]: Leaving directory `/usr/src/linux-2.4.20-9/kernel'
make[1]: *** [_sfdep_kernel] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.20-9'
make: *** [dep-files] Error 2
[root@fghamw03 linux]#

autoconf and automake are both installed as RPMs as well.

Ronny
Comment 3 Arjan van de Ven 2003-04-25 07:11:50 EDT
"you should do a make mrproper before copying the configfiles."

eg
make mrproper
cp configs/kernel-2.4.20-athlon.config .config
make oldconfig
make dep
make bzImage

Comment 4 Ronny Bremer 2003-04-25 07:30:21 EDT
yeah yeah, stupid me, sorry. :) compile now in progress, results will be posted soon
Comment 5 Ronny Bremer 2003-04-25 08:09:59 EDT
compile works now :) thanks for your help.

Ronny

Note You need to log in before you can comment on or make changes to this bug.